package com.ebei.screen.modules.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;
import org.springframework.data.mongodb.core.mapping.Document;

import javax.validation.constraints.NotEmpty;

/**
 * @version v1.0
 * @ProjectName: screen
 * @ClassName: Project
 * @Description:
 * @Author: ch
 * @Date: 2021-01-19 13:50
 */
@Data
@Document(collection = "project")
@NoArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "Project", description = "项目")
@AllArgsConstructor
public class Project extends BaseEntity{

    @NotEmpty(message = "项目名不能为空")
    @ApiModelProperty(value = "项目名")
    private String name;

}
