package com.ebei.screen.modules.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * 测试对象
 *
 * @author Liu.x
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Document("test")
public class Test {

    private String name;

    private int age;

    private List<Person> childs;

}
