package com.ebei.screen.modules.po;

import lombok.*;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;

import java.time.LocalDateTime;

/**
 * @version v1.0
 * @ProjectName: screen
 * @ClassName: BaseEntity
 * @Description:
 * @Author: ch
 * @Date: 2021-01-19 13:52
 */

@Getter
@Setter
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class BaseEntity {

    @Id
    private Long id;

    private LocalDateTime createTime;

    private Long createUser;

    private LocalDateTime updateTime;

    private Long updateUser;

    private Integer isDelete;

}
